GreatWksGraphInternal::Zone Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
GreatWksGraphInternal::Zone Struct Reference

Internal: a list of graphic corresponding to a page. More...

## Public Member Functions
| Zone ()
| constructor More...

## Public Attributes
int | m_page
| the page number (if known) More...
std::vector< std::shared_ptr< Frame > > | m_frameList
| the list of frame More...
std::vector< int > | m_rootList
| the list of root id More...
std::vector< MWAWGraphicStyle > | m_styleList
| the list of style More...
bool | m_parsed
| true if we have send the data More...

## Detailed Description

Internal: a list of graphic corresponding to a page.

## Constructor & Destructor Documentation

## ◆ Zone()

GreatWksGraphInternal::Zone::Zone | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_frameList

std::vector<std::shared_ptr<Frame> > GreatWksGraphInternal::Zone::m_frameList

the list of frame

Referenced by GreatWksGraph::canCreateGraphic(), GreatWksGraph::checkGraph(), GreatWksGraph::readFrameExtraDataRec(), GreatWksGraph::readPageFrames(), GreatWksGraph::sendGroup(), GreatWksGraph::sendGroupChild(), and GreatWksGraph::sendPageFrames().

## ◆ m_page

int GreatWksGraphInternal::Zone::m_page

the page number (if known)

Referenced by GreatWksGraph::readPageFrames().

## ◆ m_parsed

bool GreatWksGraphInternal::Zone::m_parsed
| mutable

true if we have send the data

Referenced by GreatWksGraph::sendPageFrames().

## ◆ m_rootList

std::vector<int> GreatWksGraphInternal::Zone::m_rootList

the list of root id

Referenced by GreatWksGraph::readPageFrames(), and GreatWksGraph::sendPageFrames().

## ◆ m_styleList

std::vector<MWAWGraphicStyle> GreatWksGraphInternal::Zone::m_styleList

the list of style

Referenced by GreatWksGraph::readPageFrames(), GreatWksGraph::sendGroup(), GreatWksGraph::sendGroupChild(), GreatWksGraph::sendShape(), and GreatWksGraph::sendTextbox().

The documentation for this struct was generated from the following file:

- GreatWksGraph.cxx